Index: /greenstone3/branches/3-03/build.xml
===================================================================
--- /greenstone3/branches/3-03/build.xml	(revision 14509)
+++ /greenstone3/branches/3-03/build.xml	(revision 14510)
@@ -79,5 +79,5 @@
   <property name="flax.svn.root" value="http://svn.greenstone.org/flax"/>
 
-  <property name="svn.root" value="http://puka.cs.waikato.ac.nz/svn/greenstone"/>
+  <property name="svn.root" value="http://svn.greenstone.org"/>
 <!--  <property name="cvs.root" value=":pserver:cvs_anon@cvs.scms.waikato.ac.nz:2402/usr/local/global-cvs/gsdl-src"/> -->
   <!-- catalina home is set to tomcat basedir is already installed, otherwise
@@ -1133,4 +1133,10 @@
 	</svn>	
   </target>
+
+  <target name="update-winbin" depends="init" if="current.os.iswindows" unless="nocvs.mode">
+		<svn>
+			<update url="${svn.root}/other-projects/trunk/winbin" destPath="${basedir}/winbin"/>
+		</svn>	
+	</target>
   
   <target name="get-windows-binaries" depends="init" if="collection.building.enabled.windows">
Index: /greenstone3/branches/3-03/dist-resources/dist-build.xml
===================================================================
--- /greenstone3/branches/3-03/dist-resources/dist-build.xml	(revision 14509)
+++ /greenstone3/branches/3-03/dist-resources/dist-build.xml	(revision 14510)
@@ -22,5 +22,6 @@
   <!-- Create the binaries for windows distribution -->
   <target name="prepare-windows" depends="init">
-    <cvs command="checkout -P" package="gs2build" /> 
+    <antcall target="checkout-gs2build"/>
+    <antcall target="unzip-windows-packages"/>
     <antcall target="unzip-windows-packages"/>
     <antcall target="checkout-winbin"/>
@@ -28,21 +29,23 @@
   </target>
   
-  <target name="build-windows" depends="init">
-    <antcall target="cvsupdate-distribution"/>
-    <cvs command="update -dP" package="winbin" />
-    <antcall target="get-windows-binaries"/>
-    <antcall target="rename-gs2build-files-windows"/>
-    <antcall target="compile-gs2build"/>
-    <antcall target="compile-packages"/>
-   </target>
+	<target name="build-windows" depends="init">
+
+		<antcall target="svnupdate-distribution"/>
+		<antcall target="update-winbin"/>
+		<antcall target="get-windows-binaries"/>
+		<antcall target="rename-gs2build-files-windows"/>
+		<antcall target="compile-gs2build"/>
+		<antcall target="compile-packages"/>
+
+	</target>
   
   <!-- Create the binaries for Unix/Mac distributions -->
   <target name="prepare-unix" depends="init">
-    <cvs command="checkout -P" package="gs2build"/>
-    <cvs command="checkout -P" packages="gli"/>
+    <antcall target="checkout-gs2build"/>
+    <antcall target="checkout-gli"/>
   </target>
 
   <target name="update-unix" depends="init">
-    <antcall target="cvsupdate-distribution"/>
+    <antcall target="svnupdate-distribution"/>
     <antcall target="rename-gs2build-files-unix"/>
     <antcall target="delete-windows-files"/>
@@ -60,6 +63,6 @@
     greenstones (prepare-os targets) -->
   <target name="create-distribution-1" depends="init" description="do all the initial downloading and setting up">
-    <cvs command="export -D '1 second ago'" package="gs2build"/>
-    <cvs command="export -D '1 second ago'" package="gli"/>
+    <antcall target="checkout-gs2build"/>
+    <antcall target="checkout-gli"/>
     <delete file="${gli.home}/gli.bat"/>
     <delete file="${gli.home}/gli.sh"/>
@@ -173,6 +176,6 @@
 
   <target name="create-source-distribution" depends="init">
-    <cvs command="export -D '1 second ago'" package="gs2build"/>
-    <cvs command="export -D '1 second ago'" package="gli"/>
+    <antcall target="checkout-gs2build"/>
+    <antcall target="checkout-gli"/>
     <delete file="${gli.home}/gli.bat"/>
     <delete file="${gli.home}/gli.sh"/>
@@ -205,9 +208,9 @@
   <!-- Supplementary targets -->
 
-  <target name="cvsupdate-distribution" depends="init">
-    <antcall target="cvsupdate-packages"/>
-    <antcall target="cvsupdate-core"/>
-    <antcall target="cvsupdate-gs2build"/>
-    <antcall target="cvsupdate-web"/>
+  <target name="svnupdate-distribution" depends="init">
+    <antcall target="svnupdate-packages"/>
+    <antcall target="svnupdate-core"/>
+    <antcall target="svnupdate-gs2build"/>
+    <antcall target="svnupdate-web"/>
   </target>
 
@@ -343,7 +346,7 @@
   </target>
 
-  <target name="create-changelog">
+<!--  <target name="create-changelog"> -->
     <!-- generate greenstone 3 changelog -->
-    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
+<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
       dir="${basedir}">
       <arg value="-P"/>
@@ -358,7 +361,7 @@
       <arg value="-I"/>
       <arg value="gli/.*|gs2build/.*"/>
-    </exec> 
+    </exec> -->
     <!-- generate coll building change log -->
-    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
+<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
       dir="${basedir}">
       <arg value="-P"/>
@@ -374,5 +377,7 @@
       <arg value="gs2build"/>
     </exec> 
-  </target>
+  </target> -->
+
+
   <!-- new targets to go in distribution build.xml files -->
 