Index: /gli/trunk/src/org/greenstone/gatherer/GAuthenticator.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/GAuthenticator.java	(revision 14566)
+++ /gli/trunk/src/org/greenstone/gatherer/GAuthenticator.java	(revision 14567)
@@ -64,5 +64,5 @@
     private JPasswordField password = null;
     /** The default size of this dialog. */
-    static final private Dimension SIZE = new Dimension(410,140);
+    static final private Dimension SIZE = new Dimension(470,160);
 
     /** Constructor. */
Index: /gli/trunk/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/Gatherer.java	(revision 14566)
+++ /gli/trunk/src/org/greenstone/gatherer/Gatherer.java	(revision 14567)
@@ -132,4 +132,5 @@
     }
 
+    static private URL default_gliserver_url=null;
 
     public Gatherer(String[] args) 
@@ -291,8 +292,11 @@
 	    if (Configuration.library_url == null) {
 		missingEXEC(); 
-		if ((Configuration.library_url!=null) && isGsdlRemote && GS3 && (gliserver_url_string==null)){
-		    Configuration.gliserver_url = new URL(Configuration.library_url.toString() + "/cgi-bin/gliserver4gs3.pl");
-		    gliserver_url_string = Configuration.gliserver_url.toString();
-		    Configuration.setString("general.gliserver_url", true, gliserver_url_string);
+		if ((Configuration.library_url!=null) && isGsdlRemote && (gliserver_url_string==null)){
+		    if (GS3){
+			default_gliserver_url = new URL(Configuration.library_url.toString() + "/cgi-bin/gliserver4gs3.pl");
+		    }else{
+			default_gliserver_url = new URL(Configuration.library_url.toString().substring(0,Configuration.library_url.toString().lastIndexOf("/library")) + "/gliserver.pl");
+		    }
+		    missingGLIServer();
 		}
 	    }
@@ -313,4 +317,11 @@
 	    if (isGsdlRemote) {
 		if (Configuration.gliserver_url == null) {
+		    if (Configuration.library_url != null) {
+			if (GS3){
+			    default_gliserver_url = new URL(Configuration.library_url.toString() + "/cgi-bin/gliserver4gs3.pl");
+			}else{
+			    default_gliserver_url = new URL(Configuration.library_url.toString().substring(0,Configuration.library_url.toString().lastIndexOf("/library")) + "/gliserver.pl");
+			}
+		    }
 		    missingGLIServer();
 		}
@@ -781,8 +792,13 @@
 	}
 	dialog.setValueField(new URLField(Configuration.getColor("coloring.editable_foreground", false), Configuration.getColor("coloring.editable_background", false)));
+	
+	if (Gatherer.default_gliserver_url!=null){
+	    dialog.setValueField(Gatherer.default_gliserver_url.toString());
+	}
+	
 	dialog.display();
 	dialog.dispose();
 	dialog = null;
-
+	
 	String gliserver_url_string = Configuration.getString("general.gliserver_url", true);
 	if (!gliserver_url_string.equals("")) {
Index: /gli/trunk/src/org/greenstone/gatherer/gui/WarningDialog.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/WarningDialog.java	(revision 14566)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/WarningDialog.java	(revision 14567)
@@ -154,11 +154,16 @@
 	    if(affected_property != null && Configuration.self != null) {
 		String value = value_field.getText();
+		System.out.println("-------- warningdialog value: "+value);
 		if(value.length() > 0) {
 		   if(value_field instanceof URLField) {
 		      bad_value = !((URLField)value_field).validateURL();
+		      System.out.println("-------- warningdialog bad_value: "+bad_value);
 		   }
 		   if(!bad_value) {
 		      // Store the value of the property
 		      Configuration.setString(affected_property, true, value_field.getText());
+		      System.out.println("-------- warningdialog affected_property: "+affected_property);
+		      System.out.println("-------- warningdialog value_field.getText(): "+value_field.getText());
+		      System.out.println("-------- warningdialog Configuration.getString(general.gliserver_url, true): "+Configuration.getString("general.gliserver_url", true));	  
 		   }
 		}
@@ -166,4 +171,5 @@
 	    if(!bad_value) {
 		result = JOptionPane.OK_OPTION;
+		System.out.println("-------- warningdialog result: "+result);
 	    }
 	}
@@ -251,3 +257,8 @@
 	}
     }
+
+    public void setValueField(String field_value){
+	this.value_field.setText(field_value);
+    }
+
 }