Index: /greenstone3/branches/3.03/build.xml
===================================================================
--- /greenstone3/branches/3.03/build.xml	(revision 14569)
+++ /greenstone3/branches/3.03/build.xml	(revision 14570)
@@ -76,8 +76,20 @@
   <property name="app.path"      value="/${app.name}"/>
 
+
+  <!-- version number stuff -->
+
   <!-- app.version defaults to trunk -->
   <condition property="app.version" value="trunk">
     <not><isset property="app.version"/></not>
   </condition>
+
+	<!-- determine the 'branch path' -->
+  <condition property="branch.path" value="trunk">
+    <equals arg1="${app.version}" arg2="trunk" />
+  </condition>
+  <condition property="branch.path" value="branches/${app.version}">
+    <not><equals arg1="${app.version}" arg2="trunk" /></not>
+  </condition>
+
 
   <property name="flax.svn.root" value="http://svn.greenstone.org/flax"/>
@@ -876,5 +888,5 @@
 <!--  <target name="checkout-indexers" depends="check-svnroot,init" if="independent-indexers" unless="nocvs.mode"> -->
     <svn>
-		<checkout url="${svn.root}/indexers/trunk" dest="${src.packages.home}/indexers"/>
+		<checkout url="${svn.root}/indexers/${branch.path}" dest="${src.packages.home}/indexers"/>
 	</svn>
   </target>
@@ -1051,38 +1063,38 @@
 		<svn>
 			<!-- perllib -->
-			<checkout url="${svn.root}/gsdl/trunk/perllib" destPath="gs2build/perllib"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/perllib" destPath="gs2build/perllib"/>
 
 			<!-- selected packages -->
-			<checkout url="${svn.root}/gsdl/trunk/packages/cpan" destPath="gs2build/packages/cpan"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/expat" destPath="gs2build/packages/expat"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/html-tidy" destPath="gs2build/packages/html-tidy"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/isis-gdl" destPath="gs2build/packages/isis-gdl"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/kea" destPath="gs2build/packages/kea"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/pdftohtml" destPath="gs2build/packages/pdftohtml"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/rtftohtml" destPath="gs2build/packages/rtftohtml"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/w3mir" destPath="gs2build/packages/w3mir"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/wget" destPath="gs2build/packages/wget"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/windows" destPath="gs2build/packages/windows"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/wv" destPath="gs2build/packages/wv"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/xlhtml" destPath="gs2build/packages/xlhtml"/>
-			<checkout url="${svn.root}/gsdl/trunk/packages/yaz" destPath="gs2build/packages/yaz"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/cpan" destPath="gs2build/packages/cpan"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/expat" destPath="gs2build/packages/expat"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/html-tidy" destPath="gs2build/packages/html-tidy"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/isis-gdl" destPath="gs2build/packages/isis-gdl"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/kea" destPath="gs2build/packages/kea"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/pdftohtml" destPath="gs2build/packages/pdftohtml"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/rtftohtml" destPath="gs2build/packages/rtftohtml"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/w3mir" destPath="gs2build/packages/w3mir"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/wget" destPath="gs2build/packages/wget"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/windows" destPath="gs2build/packages/windows"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/wv" destPath="gs2build/packages/wv"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/xlhtml" destPath="gs2build/packages/xlhtml"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/packages/yaz" destPath="gs2build/packages/yaz"/>
 			
 			<!-- some of src (db2txt hashfile phind txt2db) -->
-			<checkout url="${svn.root}/gsdl/trunk/src/db2txt" destPath="gs2build/src/db2txt"/>
-			<checkout url="${svn.root}/gsdl/trunk/src/hashfile" destPath="gs2build/src/hashfile"/>
-			<checkout url="${svn.root}/gsdl/trunk/src/phind" destPath="gs2build/src/phind"/>
-			<checkout url="${svn.root}/gsdl/trunk/src/txt2db" destPath="gs2build/src/txt2db"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/src/db2txt" destPath="gs2build/src/db2txt"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/src/hashfile" destPath="gs2build/src/hashfile"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/src/phind" destPath="gs2build/src/phind"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/src/txt2db" destPath="gs2build/src/txt2db"/>
 
 			<!-- bin -->
-			<checkout url="${svn.root}/gsdl/trunk/bin/script" destPath="gs2build/bin/script"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/bin/script" destPath="gs2build/bin/script"/>
 
 			<!-- mappings -->
-			<checkout url="${svn.root}/gsdl/trunk/mappings" destPath="gs2build/mappings"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/mappings" destPath="gs2build/mappings"/>
 
 			<!-- etc/packages -->
-			<checkout url="${svn.root}/gsdl/trunk/etc/packages" destPath="gs2build/etc/packages"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/etc/packages" destPath="gs2build/etc/packages"/>
 	
 			<!-- collect -->
-			<checkout url="${svn.root}/gsdl/trunk/collect/modelcol" destPath="gs2build/collect/modelcol"/>
+			<checkout url="${svn.root}/gsdl/${branch.path}/collect/modelcol" destPath="gs2build/collect/modelcol"/>
 
 			<!-- gs2build-extra -->
@@ -1090,5 +1102,5 @@
 
 			<!-- indexers -->
-			<checkout url="${svn.root}/indexers/trunk" destPath="gs2build/indexers"/>
+			<checkout url="${svn.root}/indexers/${branch.path}" destPath="gs2build/indexers"/>
 
 
@@ -1098,24 +1110,24 @@
 		<!-- some files from lib -->
 		<mkdir dir="gs2build/lib"/>
-		<get src="${svn.root}/gsdl/trunk/lib/text_t.h" dest="gs2build/lib/text_t.h"/>
-		<get src="${svn.root}/gsdl/trunk/lib/text_t.cpp" dest="gs2build/lib/text_t.cpp"/>
-		<get src="${svn.root}/gsdl/trunk/lib/gsdlconf.h" dest="gs2build/lib/gsdlconf.h"/>
+		<get src="${svn.root}/gsdl/${branch.path}/lib/text_t.h" dest="gs2build/lib/text_t.h"/>
+		<get src="${svn.root}/gsdl/${branch.path}/lib/text_t.cpp" dest="gs2build/lib/text_t.cpp"/>
+		<get src="${svn.root}/gsdl/${branch.path}/lib/gsdlconf.h" dest="gs2build/lib/gsdlconf.h"/>
 
 		<!-- some files from etc -->
-		<get src="${svn.root}/gsdl/trunk/etc/marctodc.txt" dest="gs2build/etc/marctodc.txt"/>
-		<get src="${svn.root}/gsdl/trunk/etc/dc2marc-mapping.xml" dest="gs2build/etc/dc2marc-mapping.xml"/>
-		<get src="${svn.root}/gsdl/trunk/etc/dc2marc.xsl" dest="gs2build/etc/dc2marc.xsl"/>
-		<get src="${svn.root}/gsdl/trunk/etc/qdc2marc-mapping.xml" dest="gs2build/etc/qdc2marc-mapping.xml"/>
+		<get src="${svn.root}/gsdl/${branch.path}/etc/marctodc.txt" dest="gs2build/etc/marctodc.txt"/>
+		<get src="${svn.root}/gsdl/${branch.path}/etc/dc2marc-mapping.xml" dest="gs2build/etc/dc2marc-mapping.xml"/>
+		<get src="${svn.root}/gsdl/${branch.path}/etc/dc2marc.xsl" dest="gs2build/etc/dc2marc.xsl"/>
+		<get src="${svn.root}/gsdl/${branch.path}/etc/qdc2marc-mapping.xml" dest="gs2build/etc/qdc2marc-mapping.xml"/>
 
 		<!-- some files from the gsdl root directory -->
-		<get src="${svn.root}/gsdl/trunk/setup.bash" dest="gs2build/setup.bash"/>
-		<get src="${svn.root}/gsdl/trunk/config.sub" dest="gs2build/config.sub"/>
-		<get src="${svn.root}/gsdl/trunk/config.guess" dest="gs2build/config.guess"/>
-		<get src="${svn.root}/gsdl/trunk/config.h.in" dest="gs2build/config.h.in"/>
-		<get src="${svn.root}/gsdl/trunk/configtest.pl" dest="gs2build/configtest.pl"/>
-		<get src="${svn.root}/gsdl/trunk/install-sh" dest="gs2build/install-sh"/>
-		<get src="${svn.root}/gsdl/trunk/acconfig.h" dest="gs2build/acconfig.h"/>
-		<get src="${svn.root}/gsdl/trunk/aclocal.m4" dest="gs2build/aclocal.m4"/>
-		<get src="${svn.root}/gsdl/trunk/WIN32cfg.h" dest="gs2build/WIN32cfg.h"/>
+		<get src="${svn.root}/gsdl/${branch.path}/setup.bash" dest="gs2build/setup.bash"/>
+		<get src="${svn.root}/gsdl/${branch.path}/config.sub" dest="gs2build/config.sub"/>
+		<get src="${svn.root}/gsdl/${branch.path}/config.guess" dest="gs2build/config.guess"/>
+		<get src="${svn.root}/gsdl/${branch.path}/config.h.in" dest="gs2build/config.h.in"/>
+		<get src="${svn.root}/gsdl/${branch.path}/configtest.pl" dest="gs2build/configtest.pl"/>
+		<get src="${svn.root}/gsdl/${branch.path}/install-sh" dest="gs2build/install-sh"/>
+		<get src="${svn.root}/gsdl/${branch.path}/acconfig.h" dest="gs2build/acconfig.h"/>
+		<get src="${svn.root}/gsdl/${branch.path}/aclocal.m4" dest="gs2build/aclocal.m4"/>
+		<get src="${svn.root}/gsdl/${branch.path}/WIN32cfg.h" dest="gs2build/WIN32cfg.h"/>
 
 	</target>
@@ -1231,5 +1243,5 @@
     <echo>checking out gli</echo>
     <svn>
-		<checkout url="${svn.root}/gli/trunk" destPath="gli"/>
+		<checkout url="${svn.root}/gli/${branch.path}" destPath="gli"/>
 	</svn>
   </target>