Index: /greenstone3/trunk/build.xml
===================================================================
--- /greenstone3/trunk/build.xml	(revision 14587)
+++ /greenstone3/trunk/build.xml	(revision 14588)
@@ -1133,4 +1133,10 @@
 	</svn>	
   </target>
+
+  <target name="update-winbin" depends="init" if="current.os.iswindows" unless="nocvs.mode">
+		<svn>
+			<update url="${svn.root}/other-projects/trunk/winbin" destPath="${basedir}/winbin"/>
+		</svn>	
+	</target>
   
   <target name="get-windows-binaries" depends="init" if="collection.building.enabled.windows">
Index: /greenstone3/trunk/dist-resources/convert-build-xml.xsl
===================================================================
--- /greenstone3/trunk/dist-resources/convert-build-xml.xsl	(revision 14587)
+++ /greenstone3/trunk/dist-resources/convert-build-xml.xsl	(revision 14588)
@@ -24,5 +24,5 @@
   <xsl:template match="target[starts-with(@name, 'rename-gs2build')]"></xsl:template>
   <xsl:template match="target[@name='test']"></xsl:template>
-  <xsl:template match="target[@name='get-macos-extra']"></xsl:template>
+  <!--<xsl:template match="target[@name='get-macos-extra']"></xsl:template>-->
   <xsl:template match="target[@name='get-windows-binaries']"></xsl:template>
 
Index: /greenstone3/trunk/dist-resources/dist-build.xml
===================================================================
--- /greenstone3/trunk/dist-resources/dist-build.xml	(revision 14587)
+++ /greenstone3/trunk/dist-resources/dist-build.xml	(revision 14588)
@@ -22,5 +22,6 @@
   <!-- Create the binaries for windows distribution -->
   <target name="prepare-windows" depends="init">
-    <cvs command="checkout -P" package="gs2build" /> 
+    <antcall target="checkout-gs2build"/>
+    <antcall target="unzip-windows-packages"/>
     <antcall target="unzip-windows-packages"/>
     <antcall target="checkout-winbin"/>
@@ -28,21 +29,23 @@
   </target>
   
-  <target name="build-windows" depends="init">
-    <antcall target="cvsupdate-distribution"/>
-    <cvs command="update -dP" package="winbin" />
-    <antcall target="get-windows-binaries"/>
-    <antcall target="rename-gs2build-files-windows"/>
-    <antcall target="compile-gs2build"/>
-    <antcall target="compile-packages"/>
-   </target>
+	<target name="build-windows" depends="init">
+
+		<antcall target="svnupdate-distribution"/>
+		<antcall target="update-winbin"/>
+		<antcall target="get-windows-binaries"/>
+		<antcall target="rename-gs2build-files-windows"/>
+		<antcall target="compile-gs2build"/>
+		<antcall target="compile-packages"/>
+
+	</target>
   
   <!-- Create the binaries for Unix/Mac distributions -->
   <target name="prepare-unix" depends="init">
-    <cvs command="checkout -P" package="gs2build"/>
-    <cvs command="checkout -P" packages="gli"/>
+    <antcall target="checkout-gs2build"/>
+    <antcall target="checkout-gli"/>
   </target>
 
   <target name="update-unix" depends="init">
-    <antcall target="cvsupdate-distribution"/>
+    <antcall target="svnupdate-distribution"/>
     <antcall target="rename-gs2build-files-unix"/>
     <antcall target="delete-windows-files"/>
@@ -60,6 +63,6 @@
     greenstones (prepare-os targets) -->
   <target name="create-distribution-1" depends="init" description="do all the initial downloading and setting up">
-    <cvs command="export -D '1 second ago'" package="gs2build"/>
-    <cvs command="export -D '1 second ago'" package="gli"/>
+    <antcall target="checkout-gs2build"/>
+    <antcall target="checkout-gli"/>
     <delete file="${gli.home}/gli.bat"/>
     <delete file="${gli.home}/gli.sh"/>
@@ -173,6 +176,6 @@
 
   <target name="create-source-distribution" depends="init">
-    <cvs command="export -D '1 second ago'" package="gs2build"/>
-    <cvs command="export -D '1 second ago'" package="gli"/>
+    <antcall target="checkout-gs2build"/>
+    <antcall target="checkout-gli"/>
     <delete file="${gli.home}/gli.bat"/>
     <delete file="${gli.home}/gli.sh"/>
@@ -205,9 +208,9 @@
   <!-- Supplementary targets -->
 
-  <target name="cvsupdate-distribution" depends="init">
-    <antcall target="cvsupdate-packages"/>
-    <antcall target="cvsupdate-core"/>
-    <antcall target="cvsupdate-gs2build"/>
-    <antcall target="cvsupdate-web"/>
+  <target name="svnupdate-distribution" depends="init">
+    <antcall target="svnupdate-packages"/>
+    <antcall target="svnupdate-core"/>
+    <antcall target="svnupdate-gs2build"/>
+    <antcall target="svnupdate-web"/>
   </target>
 
@@ -301,9 +304,13 @@
   <target name="get-documented-collections" depends="init">
     <property name="collect.home" value="${basedir}/web/sites/localsite/collect"/>
-    <copy todir="${collect.home}/MARC-e">
-      <fileset dir="${documented.collections.home}/MARC-e"/>
-    </copy>
-    <copy todir="${collect.home}/cltbib-e">
-      <fileset dir="${documented.collections.home}/cltbib-e"/>
+
+    <copy todir="${collect.home}/authen-e">
+      <fileset dir="${documented.collections.home}/authen-e"/>
+    </copy>
+    <copy todir="${collect.home}/bibliog1">
+      <fileset dir="${documented.collections.home}/bibliog1"/>
+    </copy>
+    <copy todir="${collect.home}/bibliogr">
+      <fileset dir="${documented.collections.home}/bibliogr"/>
     </copy>
     <copy todir="${collect.home}/dls-e">
@@ -330,4 +337,17 @@
     <copy todir="${collect.home}/wrdpdf-e">
       <fileset dir="${documented.collections.home}/wrdpdf-e"/>
+    </copy>
+
+    <copy todir="${collect.home}/garish">
+      <fileset dir="${documented.collections.home}/garish"/>
+    </copy>
+    <copy todir="${collect.home}/marcexam">
+      <fileset dir="${documented.collections.home}/marcexam"/>
+    </copy>
+    <copy todir="${collect.home}/style-e">
+      <fileset dir="${documented.collections.home}/style-e"/>
+    </copy>
+    <copy todir="${collect.home}/wiki">
+      <fileset dir="${documented.collections.home}/wiki"/>
     </copy>
   </target>
@@ -343,7 +363,7 @@
   </target>
 
-  <target name="create-changelog">
+<!--  <target name="create-changelog"> -->
     <!-- generate greenstone 3 changelog -->
-    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
+<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
       dir="${basedir}">
       <arg value="-P"/>
@@ -358,7 +378,7 @@
       <arg value="-I"/>
       <arg value="gli/.*|gs2build/.*"/>
-    </exec> 
+    </exec> -->
     <!-- generate coll building change log -->
-    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
+<!--    <exec executable="/home/nzdl/for-distributions/bin/script/cvs2cl.pl"
       dir="${basedir}">
       <arg value="-P"/>
@@ -374,5 +394,7 @@
       <arg value="gs2build"/>
     </exec> 
-  </target>
+  </target> -->
+
+
   <!-- new targets to go in distribution build.xml files -->
 