Index: /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 14634)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 14635)
@@ -2536,26 +2536,4 @@
         toElement.appendChild (to_element);
     }
-    private void doPlugoutElement (Document to, Element from) {
-        Element toElement = to.getDocumentElement ();
-        
-        Node plugout_element = XMLTools.getChildByTagName (from, PLUGOUT_ELEMENT);
-        if (plugout_element == null) {
-            return; // such an element not found
-        }
-        
-        Element to_element = XMLTools.duplicateElement (to, (Element)plugout_element, true);
-        toElement.appendChild (to_element);
-    }
-    private void convertPlugoutElement (Document from, Document to) {
-        Element toElement = to.getDocumentElement ();
-        
-        Node plugout_element = XMLTools.getChildByTagName (from.getDocumentElement (), PLUGOUT_ELEMENT);
-        if (plugout_element == null) {
-            return; // such an element not found
-        }
-        
-        Element to_element = XMLTools.duplicateElement (to, (Element)plugout_element, true);
-        toElement.appendChild (to_element);
-    }    
     private void doDefaultIndexLanguage (Document to, Node searchNode) {
         Element toElement = to.getDocumentElement ();
@@ -2910,6 +2888,15 @@
         
         import_element.appendChild (plugin_list_element);
+        
+        //do the plugout element (used by building flax collections)
+        Node plugout = XMLTools.getChildByTagNameIndexed (from.getDocumentElement (), PLUGOUT_ELEMENT, 0);
+        if (plugout != null) {
+        	Element to_element = XMLTools.duplicateElement (to, (Element)plugout, true);
+        	import_element.appendChild (to_element);
+        }
+        
         to.getDocumentElement ().appendChild (import_element);
     }
+
     //Handle 'searchType' of collectionConfig.xml. In the internal structure, its also called 'searchType', eg. plain, form
     private void convertSearchType (Document from, Document to) {
@@ -3631,12 +3618,19 @@
         }
         if (importNode != null) {
-            Node pluginListNode = XMLTools.getChildByTagNameIndexed ((Element)importNode, StaticStrings.PLUGINLIST_STR, 0);
-            
+        	//do plugin list nodes
+            Node pluginListNode = XMLTools.getChildByTagNameIndexed ((Element)importNode, StaticStrings.PLUGINLIST_STR, 0);           
             if (pluginListNode == null) {
-                System.out.println ("There is no plugin set.");
+                System.out.println ("There is no pluginlist set.");
             }
             if (pluginListNode != null) {
                 
                 doPlugin (dOc, pluginListNode);
+            }
+            
+            //do the plugout element (used by building flax collections)
+            Node plugout = XMLTools.getChildByTagNameIndexed ((Element)importNode, PLUGOUT_ELEMENT, 0);
+            if (plugout != null) {
+            	Element to_element = XMLTools.duplicateElement (dOc, (Element)plugout, true);
+            	toElement.appendChild (to_element);
             }
         }
@@ -3688,5 +3682,4 @@
         doReplaceListRef (dOc, fromElement);
         doOAIElement (dOc, fromElement);
-        doPlugoutElement (dOc, fromElement);
         
     }
@@ -3880,5 +3873,5 @@
         convertBuildType (dOc, skeleton);
         convertIndex (dOc, skeleton);
-        convertPlugin (dOc, skeleton);
+        convertPlugin (dOc, skeleton);//also do the plugout element
         convertClassifier (dOc, skeleton);
         convertSubcollectionIndexes (dOc, skeleton);
@@ -3890,6 +3883,5 @@
         convertReplaceListRef (dOc, skeleton);
         convertOAIElement(dOc, skeleton);
-        convertPlugoutElement(dOc, skeleton);
-        
+
         return skeleton;
     }