Index: /gsdl/trunk/perllib/strings_ro.properties
===================================================================
--- /gsdl/trunk/perllib/strings_ro.properties	(revision 14670)
+++ /gsdl/trunk/perllib/strings_ro.properties	(revision 14670)
@@ -0,0 +1,1313 @@
+#
+# Resource bundle description
+#
+
+# -- Missing translation: Language.code
+# -- Missing translation: Language.name
+
+# -- Missing translation: OutputEncoding.unix
+# -- Missing translation: OutputEncoding.windows
+
+
+#
+# Common output messages
+#
+
+# -- Missing translation: common.cannot_create_file
+
+# -- Missing translation: common.cannot_find_cfg_file
+
+# -- Missing translation: common.cannot_open
+
+# -- Missing translation: common.cannot_open_fail_log
+
+# -- Missing translation: common.cannot_open_output_file
+
+# -- Missing translation: common.cannot_read
+
+# -- Missing translation: common.cannot_read_file
+
+# -- Missing translation: common.general_options
+
+# -- Missing translation: common.must_be_implemented
+
+# -- Missing translation: common.options
+
+# -- Missing translation: common.processing
+
+# -- Missing translation: common.specific_options
+
+# -- Missing translation: common.usage
+
+# -- Missing translation: common.info
+
+# -- Missing translation: common.invalid_options
+
+#
+# Script option descriptions and output messages
+#
+
+# -- Missing translation: scripts.language
+
+# -- Missing translation: scripts.xml
+
+# -- Missing translation: scripts.listall
+# -- Missing translation: scripts.describeall
+
+# -- Missing translation: scripts.both_old_options
+
+# -- Missing translation: scripts.no_old_options
+
+# -- buildcol.pl --
+
+# -- Missing translation: buildcol.archivedir
+
+# -- Missing translation: buildcol.builddir
+
+# -- Missing translation: buildcol.cachedir
+
+# -- Missing translation: buildcol.cannot_open_cfg_file
+
+# -- Missing translation: buildcol.collectdir
+
+# -- Missing translation: buildcol.copying_back_cached_build
+
+# -- Missing translation: buildcol.create_images
+
+# -- Missing translation: buildcol.debug
+
+# -- Missing translation: buildcol.desc
+
+# -- Missing translation: buildcol.faillog
+
+# -- Missing translation: buildcol.index
+
+# -- Missing translation: buildcol.incremental
+
+# -- Missing translation: buildcol.incremental_dlc
+
+# -- Missing translation: buildcol.keepold
+
+# -- Missing translation: buildcol.maxdocs
+# -- Missing translation: buildcol.maxnumeric
+# -- Missing translation: buildcol.mode
+# -- Missing translation: buildcol.mode.all
+# -- Missing translation: buildcol.mode.build_index
+# -- Missing translation: buildcol.mode.compress_text
+# -- Missing translation: buildcol.mode.infodb
+
+# -- Missing translation: buildcol.no_default_images
+
+# -- Missing translation: buildcol.no_image_script
+
+# -- Missing translation: buildcol.no_strip_html
+
+# -- Missing translation: buildcol.no_text
+
+# -- Missing translation: buildcol.sections_index_document_metadata
+# -- Missing translation: buildcol.sections_index_document_metadata.never
+# -- Missing translation: buildcol.sections_index_document_metadata.always
+# -- Missing translation: buildcol.sections_index_document_metadata.unless_section_metadata_exists
+
+# -- Missing translation: buildcol.out
+
+# -- Missing translation: buildcol.params
+
+# -- Missing translation: buildcol.remove_empty_classifications
+
+# -- Missing translation: buildcol.removeold
+
+# -- Missing translation: buildcol.unlinked_col_images
+
+# -- Missing translation: buildcol.unknown_mode
+
+# -- Missing translation: buildcol.updating_archive_cache
+
+# -- Missing translation: buildcol.verbosity
+
+
+# -- classinfo.pl --
+
+# -- Missing translation: classinfo.collection
+
+# -- Missing translation: classinfo.desc
+
+# -- Missing translation: classinfo.general_options
+
+# -- Missing translation: classinfo.info
+
+# -- Missing translation: classinfo.no_classifier_name
+
+# -- Missing translation: classinfo.option_types
+
+# -- Missing translation: classinfo.params
+
+# -- Missing translation: classinfo.passing_options
+
+# -- Missing translation: classinfo.specific_options
+
+# -- downloadfrom.pl --
+# -- Missing translation: downloadfrom.cache_dir
+# -- Missing translation: downloadfrom.desc
+# -- Missing translation: downloadfrom.download_mode
+# -- Missing translation: downloadfrom.download_mode.Web
+# -- Missing translation: downloadfrom.download_mode.OAI
+# -- Missing translation: downloadfrom.download_mode.z3950
+# -- Missing translation: downloadfrom.download_mode.SRW
+# -- Missing translation: downloadfrom.incorrect_mode
+# -- Missing translation: downloadfrom.info
+# -- Missing translation: downloadfrom.params
+
+# -- downloadinfo.pl --
+
+# -- Missing translation: downloadinfo.desc
+# -- Missing translation: downloadinfo.collection
+# -- Missing translation: downloadinfo.params
+# -- Missing translation: downloadinfo.general_options
+# -- Missing translation: downloadinfo.specific_options
+# -- Missing translation: downloadinfo.option_types
+
+# -- explode_metadata_database.pl --
+# -- Missing translation: explode.desc
+
+# -- Missing translation: explode.document_field
+
+# -- Missing translation: explode.document_prefix
+
+# -- Missing translation: explode.document_suffix
+
+# -- Missing translation: explode.encoding
+# -- Missing translation: explode.metadata_set
+# -- Missing translation: explode.plugin
+# -- Missing translation: explode.params
+# -- Missing translation: explode.records_per_folder
+
+# -- exportcol.pl --
+
+# -- Missing translation: exportcol.out
+# -- Missing translation: exportcol.cddir
+# -- Missing translation: exportcol.cdname
+# -- Missing translation: exportcol.desc
+# -- Missing translation: exportcol.noinstall
+# -- Missing translation: exportcol.params
+# -- Missing translation: exportcol.coll_not_found
+# -- Missing translation: exportcol.coll_dirs_not_found
+# -- Missing translation: exportcol.fail
+# -- Missing translation: exportcol.no_valid_colls
+# -- Missing translation: exportcol.couldnt_create_dir
+# -- Missing translation: exportcol.couldnt_create_file
+# -- Missing translation: exportcol.instructions
+# -- Missing translation: exportcol.non_exist_files
+# -- Missing translation: exportcol.success
+# -- Missing translation: exportcol.output_dir
+# -- Missing translation: exportcol.export_coll_not_installed
+
+# -- import.pl --
+
+# -- Missing translation: import.archivedir
+
+# -- Missing translation: import.manifest
+
+# -- Missing translation: import.cannot_open_stats_file
+
+# -- Missing translation: import.cannot_open_fail_log
+
+# -- Missing translation: import.cannot_sort
+
+# -- Missing translation: import.collectdir
+
+# -- Missing translation: import.complete
+
+# -- Missing translation: import.debug
+
+# -- Missing translation: import.desc
+
+# -- Missing translation: import.faillog
+
+# -- Missing translation: import.groupsize
+
+# -- Missing translation: import.gzip
+
+# -- Missing translation: import.importdir
+
+# -- Missing translation: import.incremental
+
+# -- Missing translation: import.keepold
+
+# -- Missing translation: import.maxdocs
+
+# -- Missing translation: import.no_import_dir
+
+# -- Missing translation: import.no_plugins_loaded
+
+# -- Missing translation: import.OIDtype
+# -- Missing translation: import.OIDtype.hash
+
+# -- Missing translation: import.OIDtype.incremental
+
+# -- Missing translation: import.OIDtype.assigned
+
+# -- Missing translation: import.OIDtype.dirname
+
+# -- Missing translation: import.OIDmetadata
+
+# -- Missing translation: import.saveas
+
+# -- Missing translation: import.saveas.GA
+
+# -- Missing translation: import.saveas.METS
+
+# -- Missing translation: import.out
+
+# -- Missing translation: import.params
+
+# -- Missing translation: import.removeold
+
+# -- Missing translation: import.removing_archives
+
+# -- Missing translation: import.removing_tmpdir
+
+# -- Missing translation: import.sortmeta
+
+# -- Missing translation: import.statsfile
+
+# -- Missing translation: import.stats_backup
+
+# -- Missing translation: import.verbosity
+
+
+# -- export.pl --
+
+# -- Missing translation: export.exportdir
+
+# -- Missing translation: export.cannot_open_stats_file
+
+# -- Missing translation: export.cannot_open_fail_log
+
+# -- Missing translation: export.cannot_sort
+
+# -- Missing translation: export.collectdir
+
+# -- Missing translation: export.complete
+
+# -- Missing translation: export.debug
+
+# -- Missing translation: export.desc
+
+# -- Missing translation: export.faillog
+
+# -- Missing translation: export.groupsize
+
+# -- Missing translation: export.gzip
+
+# -- Missing translation: export.importdir
+
+# -- Missing translation: export.keepold
+
+# -- Missing translation: export.maxdocs
+
+# -- Missing translation: export.listall
+
+# -- Missing translation: export.saveas
+
+# -- Missing translation: export.saveas.DSpace
+
+# -- Missing translation: export.saveas.METS
+
+# -- Missing translation: export.saveas.GA
+
+# -- Missing translation: export.saveas.MARCXML
+
+# -- Missing translation: export.saveas_version
+
+# -- Missing translation: export.out
+
+# -- Missing translation: export.params
+
+# -- Missing translation: export.removeold
+
+# -- Missing translation: export.removing_export
+
+# -- Missing translation: export.sortmeta
+
+# -- Missing translation: export.statsfile
+
+# -- Missing translation: export.stats_backup
+
+# -- Missing translation: export.verbosity
+
+
+
+# -- mkcol.pl --
+
+# -- Missing translation: mkcol.about
+
+# -- Missing translation: mkcol.bad_name_cvs
+
+# -- Missing translation: mkcol.bad_name_modelcol
+
+# -- Missing translation: mkcol.cannot_find_modelcol
+
+# -- Missing translation: mkcol.col_already_exists
+
+# -- Missing translation: mkcol.collectdir
+
+# -- Missing translation: mkcol.creating_col
+
+# -- Missing translation: mkcol.creator
+
+# -- Missing translation: mkcol.creator_undefined
+
+# -- Missing translation: mkcol.desc
+
+# -- Missing translation: mkcol.doing_replacements
+
+# -- Missing translation: mkcol.long_colname
+
+# -- Missing translation: mkcol.maintainer
+
+# -- Missing translation: mkcol.no_collectdir
+
+# -- Missing translation: mkcol.no_colname
+
+# -- Missing translation: mkcol.optionfile
+
+# -- Missing translation: mkcol.params
+
+# -- Missing translation: mkcol.plugin
+
+# -- Missing translation: mkcol.public
+# -- Missing translation: mkcol.public.true
+# -- Missing translation: mkcol.public.false
+
+# -- Missing translation: mkcol.quiet
+
+# -- Missing translation: mkcol.success
+
+# -- Missing translation: mkcol.title
+
+# -- Missing translation: mkcol.win31compat
+# -- Missing translation: mkcol.win31compat.true
+# -- Missing translation: mkcol.win31compat.false
+
+# -- pluginfo.pl --
+
+# -- Missing translation: pluginfo.collection
+
+# -- Missing translation: pluginfo.desc
+
+# -- Missing translation: pluginfo.general_options
+
+# -- Missing translation: pluginfo.info
+
+# -- Missing translation: pluginfo.no_plugin_name
+
+# -- Missing translation: pluginfo.option_types
+
+# -- Missing translation: pluginfo.params
+
+# -- Missing translation: pluginfo.passing_options
+
+# -- Missing translation: pluginfo.specific_options
+
+
+# -- plugoutinfo.pl --
+
+# -- Missing translation: plugoutinfo.collection
+
+# -- Missing translation: plugoutinfo.desc
+
+# -- Missing translation: plugoutinfo.general_options
+
+# -- Missing translation: plugoutinfo.info
+
+# -- Missing translation: plugoutinfo.no_plugout_name
+
+# -- Missing translation: plugoutinfo.option_types
+
+# -- Missing translation: plugoutinfo.params
+
+# -- Missing translation: plugoutinfo.passing_options
+
+# -- Missing translation: plugoutinfo.specific_options
+
+
+#
+# Plugout option descriptions
+#
+
+# -- Missing translation: MARCXMLPlugout.desc
+
+# -- Missing translation: METSPlugout.desc
+
+BasPlugout.desc:Base class for all the export plugouts.
+
+# -- Missing translation: GAPlugout.desc
+
+# -- Missing translation: DSpacePlugout.desc
+
+# -- Missing translation: METSPlugout.version
+
+# -- Missing translation: BasPlugout.group_size
+
+# -- Missing translation: BasPlugout.output_info
+
+# -- Missing translation: BasPlugout.output_handle
+
+# -- Missing translation: BasPlugout.verbosity
+
+# -- Missing translation: BasPlugout.gzip_output
+
+# -- Missing translation: BasPlugout.xslt_file
+
+# -- Missing translation: MARCXMLPlugout.group
+
+# -- Missing translation: MARCXMLPlugout.mapping_file
+
+# -- Missing translation: METSPlugout.xslt_txt
+
+# -- Missing translation: METSPlugout.xslt_mets
+
+#
+# Classifier option descriptions
+#
+
+# -- Missing translation: AllList.desc
+
+# -- Missing translation: AZCompactList.allvalues
+
+# -- Missing translation: AZCompactList.desc
+
+# -- Missing translation: AZCompactList.doclevel
+# -- Missing translation: AZCompactList.doclevel.top
+# -- Missing translation: AZCompactList.doclevel.section
+
+# -- Missing translation: AZCompactList.firstvalueonly
+
+# -- Missing translation: AZCompactList.freqsort
+
+# -- Missing translation: AZCompactList.maxcompact
+
+# -- Missing translation: AZCompactList.metadata
+
+# -- Missing translation: AZCompactList.mincompact
+
+# -- Missing translation: AZCompactList.mingroup
+
+# -- Missing translation: AZCompactList.minnesting
+
+# -- Missing translation: AZCompactList.recopt
+# -- Missing translation: AZCompactList.sort
+
+# -- Missing translation: AZCompactSectionList.desc
+
+# -- Missing translation: AZList.desc
+
+# -- Missing translation: AZList.metadata
+
+# -- Missing translation: AZSectionList.desc
+
+# -- Missing translation: BasClas.bad_general_option
+
+# -- Missing translation: BasClas.builddir
+
+# -- Missing translation: BasClas.buttonname
+
+# -- Missing translation: BasClas.desc
+
+# -- Missing translation: BasClas.no_metadata_formatting
+
+# -- Missing translation: BasClas.outhandle
+
+# -- Missing translation: BasClas.removeprefix
+
+# -- Missing translation: BasClas.removesuffix
+
+# -- Missing translation: BasClas.verbosity
+
+# -- Missing translation: Browse.desc
+
+# -- Missing translation: DateList.bymonth
+
+# -- Missing translation: DateList.desc
+
+# -- Missing translation: DateList.metadata
+
+# -- Missing translation: DateList.reverse_sort
+
+# -- Missing translation: DateList.nogroup
+
+# -- Missing translation: DateList.no_special_formatting
+
+# -- Missing translation: DateList.sort
+
+# -- Missing translation: GenericList.always_bookshelf_last_level
+# -- Missing translation: GenericList.classify_sections
+# -- Missing translation: GenericList.desc
+# -- Missing translation: GenericList.metadata
+# -- Missing translation: GenericList.partition_size_within_level
+# -- Missing translation: GenericList.partition_type_within_level
+# -- Missing translation: GenericList.sort_leaf_nodes_using
+# -- Missing translation: GenericList.use_hlist_for
+
+# -- Missing translation: HFileHierarchy.desc
+
+# -- Missing translation: Hierarchy.desc
+
+# -- Missing translation: Hierarchy.documents_last
+
+# -- Missing translation: Hierarchy.hfile
+
+# -- Missing translation: Hierarchy.hlist_at_top
+
+# -- Missing translation: Hierarchy.reverse_sort
+
+# -- Missing translation: Hierarchy.separator
+
+# -- Missing translation: Hierarchy.sort
+
+# -- Missing translation: Hierarchy.suppressfirstlevel
+
+# -- Missing translation: Hierarchy.suppresslastlevel
+
+# -- Missing translation: HTML.desc
+
+# -- Missing translation: HTML.url
+
+# -- Missing translation: List.desc
+
+# -- Missing translation: List.metadata
+
+# -- Missing translation: List.sort
+
+# -- Missing translation: Phind.desc
+
+# -- Missing translation: Phind.language
+
+# -- Missing translation: Phind.min_occurs
+
+# -- Missing translation: Phind.savephrases
+
+# -- Missing translation: Phind.suffixmode
+
+# -- Missing translation: Phind.text
+
+# -- Missing translation: Phind.thesaurus
+
+# -- Missing translation: Phind.title
+
+# -- Missing translation: Phind.untidy
+
+# -- Missing translation: RecentDocumentsList.desc
+
+# -- Missing translation: RecentDocumentsList.include_docs_added_since
+
+# -- Missing translation: RecentDocumentsList.include_most_recently_added
+
+# -- Missing translation: RecentDocumentsList.sort
+
+# -- Missing translation: SectionList.desc
+
+# -- Missing translation: Collage.desc
+
+# -- Missing translation: Collage.geometry
+
+# -- Missing translation: Collage.maxDepth
+
+# -- Missing translation: Collage.maxDisplay
+
+# -- Missing translation: Collage.imageType
+
+# -- Missing translation: Collage.bgcolor
+
+# -- Missing translation: Collage.buttonname
+
+# -- Missing translation: Collage.refreshDelay
+
+# -- Missing translation: Collage.isJava2
+
+# -- Missing translation: Collage.imageMustNotHave
+
+# -- Missing translation: Collage.caption
+
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+<<<<<<< strings.properties
+NewList.desc:Get newly modified documents classifier plugin.
+
+NewList.after_specified_date:Used to specify a date. The date input format:dd/mm/yyyy
+
+NewList.return_doc_size:The number of docs returned from the collection.
+
+=======
+NewList.desc:Get newly modified documents classifier plugin.
+
+NewList.after_specified_date:Used to specify a date. The date input format is either yyyymmdd or yyyy-mm-dd
+
+NewList.return_doc_size:The number of docs returned from the collection.
+
+>>>>>>> 1.38
+=======
+NewList.desc:Get newly modified documents classifier plugin.
+
+NewList.after_specified_date:Used to specify a date. The date input format is either yyyymmdd or yyyy-mm-dd
+
+NewList.return_doc_size:The number of docs returned from the collection.
+
+>>>>>>> 1.38
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+=======
+
+>>>>>>> 1.39
+#
+# Plugin option descriptions
+#
+
+# -- Missing translation: ArcPlug.desc
+
+# -- Missing translation: BasPlug.adding
+
+# -- Missing translation: BasPlug.already_seen
+
+# -- Missing translation: BasPlug.bad_general_option
+
+# -- Missing translation: BasPlug.block_exp
+
+# -- Missing translation: BasPlug.associate_ext
+
+# -- Missing translation: BasPlug.could_not_extract_encoding
+
+# -- Missing translation: BasPlug.could_not_extract_language
+
+# -- Missing translation: BasPlug.could_not_open_for_reading
+
+# -- Missing translation: BasPlug.no_cover_image
+
+# -- Missing translation: BasPlug.default_encoding
+
+# -- Missing translation: BasPlug.default_language
+
+# -- Missing translation: BasPlug.desc
+
+# -- Missing translation: BasPlug.done_acronym_extract
+
+# -- Missing translation: BasPlug.done_acronym_markup
+
+# -- Missing translation: BasPlug.done_email_extract
+
+# -- Missing translation: BasPlug.dummy_text
+
+# -- Missing translation: BasPlug.empty_file
+
+# -- Missing translation: BasPlug.extract_acronyms
+
+# -- Missing translation: BasPlug.extract_email
+
+# -- Missing translation: BasPlug.extract_historical_years
+
+# -- Missing translation: BasPlug.extract_language
+
+# -- Missing translation: BasPlug.extracting
+
+# -- Missing translation: BasPlug.extracting_acronyms
+
+# -- Missing translation: BasPlug.extract_keyphrases
+
+# -- Missing translation: BasPlug.extract_keyphrases_kea4
+
+# -- Missing translation: BasPlug.extract_keyphrase_options
+
+# -- Missing translation: BasPlug.extracting_emails
+
+# -- Missing translation: BasPlug.file_has_no_text
+
+# -- Missing translation: BasPlug.first
+
+BasPlug.input_encoding:Codarea documentelor sursÄ. Documentele vor fi convertite din aceste codÄri Åi vor fo stocate intern ca utf8.  # Updated 22-Feb-2007 by constantinescu
+# -- Missing translation: BasPlug.input_encoding.ascii
+# -- Missing translation: BasPlug.input_encoding.auto
+
+# -- Missing translation: BasPlug.input_encoding.unicode
+
+# -- Missing translation: BasPlug.input_encoding.utf8
+
+# -- Missing translation: BasPlug.keyphrases
+
+# -- Missing translation: BasPlug.marking_up_acronyms
+
+# -- Missing translation: BasPlug.markup_acronyms
+
+# -- Missing translation: BasPlug.maximum_century
+
+# -- Missing translation: BasPlug.maximum_year
+
+# -- Missing translation: BasPlug.missing_kea
+
+# -- Missing translation: BasPlug.must_be_implemented
+
+# -- Missing translation: BasPlug.no_bibliography
+
+# -- Missing translation: BasPlug.process_exp
+
+# -- Missing translation: BasPlug.read_denied
+
+# -- Missing translation: BasPlug.separate_cjk
+
+# -- Missing translation: BasPlug.smart_block
+
+# -- Missing translation: BasPlug.stems
+
+# -- Missing translation: BasPlug.unsupported_encoding
+
+# -- Missing translation: BasPlug.wrong_encoding
+
+# -- Missing translation: BibTexPlug.desc
+
+# -- Missing translation: BookPlug.desc
+
+# -- Missing translation: ConvertToPlug.apply_fribidi
+# -- Missing translation: ConvertToPlug.convert_to
+# -- Missing translation: ConvertToPlug.convert_to.auto
+# -- Missing translation: ConvertToPlug.convert_to.html
+# -- Missing translation: ConvertToPlug.convert_to.text
+# -- Missing translation: ConvertToPlug.convert_to.pagedimg_jpg
+# -- Missing translation: ConvertToPlug.convert_to.pagedimg_gif
+# -- Missing translation: ConvertToPlug.convert_to.pagedimg_png
+
+# -- Missing translation: ConvertToPlug.desc
+# -- Missing translation: ConvertToPlug.keep_original_filename
+# -- Missing translation: ConvertToPlug.use_strings
+
+# -- Missing translation: ConvertToRogPlug.desc
+
+# -- Missing translation: CSVPlug.desc
+
+# -- Missing translation: DBPlug.desc
+
+# -- Missing translation: DBPlug.title_sub
+
+# -- Missing translation: DSpacePlug.desc
+	
+# -- Missing translation: DSpacePlug.first_inorder_ext
+# -- Missing translation: DSpacePlug.first_inorder_mime
+# -- Missing translation: DSpacePlug.only_first_doc
+
+# -- Missing translation: EMAILPlug.desc
+
+# -- Missing translation: EMAILPlug.no_attachments
+
+# -- Missing translation: EMAILPlug.headers
+
+# -- Missing translation: EMAILPlug.split_exp
+
+# -- Missing translation: ExcelPlug.desc
+
+# -- Missing translation: FOXPlug.desc
+
+# -- Missing translation: GAPlug.desc
+
+# -- Missing translation: GISBasPlug.extract_placenames
+
+# -- Missing translation: GISBasPlug.gazetteer
+
+# -- Missing translation: GISBasPlug.place_list
+
+# -- Missing translation: GMLPlug.desc
+
+# -- Missing translation: HBPlug.desc
+
+# -- Missing translation: HTMLPlug.assoc_files
+
+# -- Missing translation: HTMLPlug.desc
+
+# -- Missing translation: HTMLPlug.description_tags
+
+# -- Missing translation: HTMLPlug.extract_style
+
+# -- Missing translation: HTMLPlug.file_is_url
+
+# -- Missing translation: HTMLPlug.hunt_creator_metadata
+
+# -- Missing translation: HTMLPlug.keep_head
+
+# -- Missing translation: HTMLPlug.metadata_fields
+
+# -- Missing translation: HTMLPlug.no_metadata
+
+# -- Missing translation: HTMLPlug.no_strip_metadata_html
+
+# -- Missing translation: HTMLPlug.nolinks
+
+# -- Missing translation: HTMLPlug.rename_assoc_files
+
+# -- Missing translation: HTMLPlug.sectionalise_using_h_tags
+
+# -- Missing translation: HTMLPlug.title_sub
+
+# -- Missing translation: ImagePlug.converttotype
+
+# -- Missing translation: ImagePlug.desc
+
+# -- Missing translation: ImagePlug.minimumsize
+
+# -- Missing translation: ImagePlug.noscaleup
+
+# -- Missing translation: ImagePlug.screenviewsize
+
+# -- Missing translation: ImagePlug.screenviewtype
+
+# -- Missing translation: ImagePlug.thumbnailsize
+
+# -- Missing translation: ImagePlug.thumbnailtype
+
+# -- Missing translation: IndexPlug.desc
+
+# -- Missing translation: ISISPlug.desc
+
+# -- Missing translation: ISISPlug.subfield_separator
+
+# -- Missing translation: ISISPlug.entry_separator
+
+# -- Missing translation: LaTeXPlug.desc
+
+# -- Missing translation: LOMPlug.desc
+
+# -- Missing translation: LOMPlug.root_tag
+# -- Missing translation: LOMPlug.check_timestamp
+# -- Missing translation: LOMPlug.download_srcdocs
+
+# -- Missing translation: MARCPlug.desc
+
+# -- Missing translation: MARCPlug.metadata_mapping
+
+# -- Missing translation: MARCXMLPlug.desc
+
+# -- Missing translation: MARCXMLPlug.metadata_mapping_file
+
+# -- Missing translation: MetadataCSVPlug.desc
+
+# -- Missing translation: MetadataPass.desc
+
+# -- Missing translation: METSPlug.desc
+
+# -- Missing translation: GISBasPlug.desc
+
+# -- Missing translation: NULPlug.desc
+
+# -- Missing translation: NULPlug.assoc_field
+# -- Missing translation: NULPlug.add_metadata_as_text
+
+# -- Missing translation: NULPlug.remove_namespace_for_text
+
+# -- Missing translation: OAIPlug.desc
+
+# -- Missing translation: OggVorbisPlug.add_technical_metadata
+
+# -- Missing translation: OggVorbisPlug.desc
+
+# -- Missing translation: OpenDocumentPlug.desc
+
+# -- Missing translation: PagedImgPlug.desc
+
+# -- Missing translation: PagedImgPlug.documenttype
+# -- Missing translation: PagedImgPlug.documenttype.paged
+# -- Missing translation: PagedImgPlug.documenttype.hierarchy
+
+# -- Missing translation: PagedImgPlug.headerpage
+
+# -- Missing translation: PagedImgPlug.screenview
+
+# -- Missing translation: PagedImgPlug.screenviewsize
+
+# -- Missing translation: PagedImgPlug.screenviewtype
+
+# -- Missing translation: PagedImgPlug.thumbnail
+
+# -- Missing translation: PDFPlug.allowimagesonly
+# -- Missing translation: PDFPlug.complex
+
+# -- Missing translation: PDFPlug.desc
+
+# -- Missing translation: PDFPlug.nohidden
+
+# -- Missing translation: PDFPlug.noimages
+
+# -- Missing translation: PDFPlug.use_sections
+
+# -- Missing translation: PDFPlug.zoom
+
+# -- Missing translation: PPTPlug.desc
+
+# -- Missing translation: PPTPlug.windows_scripting
+
+# -- Missing translation: ProCitePlug.desc
+
+# -- Missing translation: PSPlug.desc
+
+# -- Missing translation: PSPlug.extract_date
+
+# -- Missing translation: PSPlug.extract_pages
+
+# -- Missing translation: PSPlug.extract_title
+
+# -- Missing translation: RealMediaPlug.desc
+
+# -- Missing translation: RecPlug.desc
+
+# -- Missing translation: RecPlug.recheck_directories
+
+# -- Missing translation: RecPlug.use_metadata_files
+
+# -- Missing translation: ReferPlug.desc
+
+# -- Missing translation: ReferPlug.longdesc
+
+# -- Missing translation: RogPlug.desc
+
+# -- Missing translation: RTFPlug.desc
+
+# -- Missing translation: SRCPlug.desc
+
+# -- Missing translation: SRCPlug.remove_prefix
+
+# -- Missing translation: SplitPlug.desc
+
+# -- Missing translation: SplitPlug.split_exp
+
+# -- Missing translation: StructuredHTMLPlug.desc
+
+# -- Missing translation: StructuredHTMLPlug.delete_toc
+
+# -- Missing translation: StructuredHTMLPlug.title_header
+
+# -- Missing translation: StructuredHTMLPlug.level1_header
+
+# -- Missing translation: StructuredHTMLPlug.level2_header
+
+# -- Missing translation: StructuredHTMLPlug.level3_header
+
+# -- Missing translation: StructuredHTMLPlug.toc_header
+
+# -- Missing translation: TEXTPlug.desc
+
+# -- Missing translation: TEXTPlug.title_sub
+
+# -- Missing translation: UnknownPlug.assoc_field
+
+# -- Missing translation: UnknownPlug.desc
+
+# -- Missing translation: UnknownPlug.file_format
+
+# -- Missing translation: UnknownPlug.mime_type
+
+# -- Missing translation: UnknownPlug.process_extension
+
+# -- Missing translation: UnknownPlug.srcicon
+
+# -- Missing translation: MP3Plug.desc
+
+# -- Missing translation: MP3Plug.assoc_images
+
+# -- Missing translation: MP3Plug.applet_metadata
+
+# -- Missing translation: MP3Plug.metadata_fields
+
+# -- Missing translation: W3ImgPlug.aggressiveness
+# -- Missing translation: W3ImgPlug.aggressiveness.1
+# -- Missing translation: W3ImgPlug.aggressiveness.2
+# -- Missing translation: W3ImgPlug.aggressiveness.3
+# -- Missing translation: W3ImgPlug.aggressiveness.4
+# -- Missing translation: W3ImgPlug.aggressiveness.5
+# -- Missing translation: W3ImgPlug.aggressiveness.6
+# -- Missing translation: W3ImgPlug.aggressiveness.7
+# -- Missing translation: W3ImgPlug.aggressiveness.8
+# -- Missing translation: W3ImgPlug.aggressiveness.9
+
+# -- Missing translation: W3ImgPlug.caption_length
+
+# -- Missing translation: W3ImgPlug.convert_params
+
+# -- Missing translation: W3ImgPlug.desc
+
+# -- Missing translation: W3ImgPlug.document_text
+
+# -- Missing translation: W3ImgPlug.index_pages
+
+# -- Missing translation: W3ImgPlug.max_near_text
+
+# -- Missing translation: W3ImgPlug.min_height
+
+# -- Missing translation: W3ImgPlug.min_near_text
+
+# -- Missing translation: W3ImgPlug.min_size
+
+# -- Missing translation: W3ImgPlug.min_width
+
+# -- Missing translation: W3ImgPlug.neartext_length
+
+# -- Missing translation: W3ImgPlug.no_cache_images
+
+# -- Missing translation: W3ImgPlug.smallpage_threshold
+
+# -- Missing translation: W3ImgPlug.textrefs_threshold
+
+# -- Missing translation: W3ImgPlug.thumb_size
+
+# -- Missing translation: WordPlug.desc
+
+# -- Missing translation: WordPlug.windows_scripting
+
+# -- Missing translation: WordPlug.metadata_fields
+
+# -- Missing translation: XMLPlug.desc
+
+# -- Missing translation: XMLPlug.xslt
+# -- Missing translation: ZIPPlug.desc
+
+#
+# Download module option descriptions
+#
+
+# -- Missing translation: BasDownload.desc
+
+# -- Missing translation: OAIDownload.desc
+# -- Missing translation: OAIDownload.url_disp
+# -- Missing translation: OAIDownload.url
+# -- Missing translation: OAIDownload.set_disp
+# -- Missing translation: OAIDownload.set
+# -- Missing translation: OAIDownload.get_doc_disp
+# -- Missing translation: OAIDownload.get_doc
+# -- Missing translation: OAIDownload.max_records_disp
+# -- Missing translation: OAIDownload.max_records
+
+# -- Missing translation: SRWDownload.desc
+
+# -- Missing translation: WebDownload.desc
+# -- Missing translation: WebDownload.url
+# -- Missing translation: WebDownload.url_disp
+# -- Missing translation: WebDownload.depth
+# -- Missing translation: WebDownload.depth_disp
+# -- Missing translation: WebDownload.below
+# -- Missing translation: WebDownload.below_disp
+# -- Missing translation: WebDownload.within
+# -- Missing translation: WebDownload.within_disp
+# -- Missing translation: WebDownload.html_only
+# -- Missing translation: WebDownload.html_only_disp
+
+# -- Missing translation: WgetDownload.desc
+WgetDownload.proxy_on:Proxy pornit  # Updated 22-Feb-2007 by constantinescu
+# -- Missing translation: WgetDownload.proxy_host
+# -- Missing translation: WgetDownload.proxy_port
+# -- Missing translation: WgetDownload.user_name
+# -- Missing translation: WgetDownload.user_password
+
+# -- Missing translation: Z3950Download.desc
+# -- Missing translation: Z3950Download.host
+# -- Missing translation: Z3950Download.host_disp
+# -- Missing translation: Z3950Download.port
+# -- Missing translation: Z3950Download.port_disp
+# -- Missing translation: Z3950Download.database
+# -- Missing translation: Z3950Download.database_disp
+# -- Missing translation: Z3950Download.find
+# -- Missing translation: Z3950Download.find_disp
+# -- Missing translation: Z3950Download.max_records
+# -- Missing translation: Z3950Download.max_records_disp
+
+
+#
+#Plugout module option descriptions
+#
+
+BasPlugout.desc:Base class for all the export plugouts.
+# -- Missing translation: BasPlugout.bad_general_option
+
+#
+# Perl module strings
+#
+
+# -- Missing translation: classify.could_not_find_classifier
+
+# -- Missing translation: download.could_not_find_download
+
+# -- Missing translation: plugin.could_not_find_plugin
+
+# -- Missing translation: plugin.including_archive
+
+# -- Missing translation: plugin.including_archives
+
+# -- Missing translation: plugin.kill_file
+
+# -- Missing translation: plugin.n_considered
+
+# -- Missing translation: plugin.n_included
+
+# -- Missing translation: plugin.n_rejected
+
+# -- Missing translation: plugin.n_unrecognised
+
+# -- Missing translation: plugin.no_plugin_could_process
+
+# -- Missing translation: plugin.no_plugin_could_recognise
+
+# -- Missing translation: plugin.no_plugin_could_process_this_file
+
+# -- Missing translation: plugin.no_plugin_could_recognise_this_file
+
+# -- Missing translation: plugin.one_considered
+
+# -- Missing translation: plugin.one_included
+
+# -- Missing translation: plugin.one_rejected
+
+# -- Missing translation: plugin.one_unrecognised
+
+# -- Missing translation: plugin.see_faillog
+
+# -- Missing translation: PrintUsage.default
+
+# -- Missing translation: PrintUsage.required
+
+# -- Missing translation: plugout.could_not_find_plugout