Index: /gsdl/trunk/macros/spanish.dm
===================================================================
--- /gsdl/trunk/macros/spanish.dm	(revision 14674)
+++ /gsdl/trunk/macros/spanish.dm	(revision 14675)
@@ -85,7 +85,7 @@
 _textIdentifier_ [l=es] {identificador}  # Updated 31-Jul-2006
 _labelIdentifier_ [l=es] {Identificadores}
-_textSource_ [l=es] {nombre del archivo}  # Updated 31-Jul-2006
+_textSource_ [l=es] {nombre del fichero}  # Updated 8-Oct-2007 by tramullas
 _labelSource_ [l=es] {Fuente}
-_textLanguage_ [l=es] {lenguaje}  # Updated 31-Jul-2006
+_textLanguage_ [l=es] {Idioma}  # Updated 11-Oct-2007 by tramullas
 _labelLanguage_ [l=es] {Idiomas}
 _textRelation_ [l=es] {relaciÃ³n}  # Updated 31-Jul-2006
@@ -185,4 +185,5 @@
 _linktextPREFERENCES_ [l=es] {PREFERENCIAS}
 
+
 ######################################################################
 # 'home' page
@@ -191,4 +192,7 @@
 
 _textpagetitle_ [l=es] {Biblioteca Digital Greenstone}
+
+_textnocollections_ [l=es] {No hay colecciones vÃ¡lidas disponibles (ej. construÃ­das y publicadas)}  # Updated 5-Oct-2007 by tramullas
+
 _textadmin_ [l=es] {PÃ¡gina de administraciÃ³n}
 _textabgs_ [l=es] {Acerca de Greenstone}
@@ -205,5 +209,4 @@
 
 _textdescrgodocs_ [l=es] {Manuales de Greenstone}
-
 
 #####################################################################
@@ -309,4 +312,14 @@
 _textNOHIGHLIGHT_ [l=es] {NO RESALTAR}  # Updated 14-Aug-2006
 
+_textPRINT_ [l=es] {IMPRIMIR}  # Updated 5-Oct-2007 by tramullas
+
+_textnextsearchresult_ [l=es] {prÃ³ximo resultado de la bÃºsqueda}  # Updated 5-Oct-2007 by tramullas
+_textprevsearchresult_ [l=es] {resultado previo de la bÃºsqueda}  # Updated 5-Oct-2007 by tramullas
+
+# macros for printing page
+_textreturnoriginal_ [l=es] {Volver a la pÃ¡gina original}  # Updated 5-Oct-2007 by tramullas
+_textprintpage_ [l=es] {Imprimir esta pÃ¡gina}  # Updated 5-Oct-2007 by tramullas
+_textshowcontents_ [l=es] {Mostrar tabla de contenidos}  # Updated 5-Oct-2007 by tramullas
+_texthidecontents_ [l=es] {Ocultar la tabla de contenidos}  # Updated 5-Oct-2007 by tramullas
 
 ######################################################################
@@ -331,8 +344,5 @@
 _textranked_ [l=es] {clasificado}
 _textnatural_ [l=es] {natural}
-#_textsome_ {_If_(_cgiargb_,ranked,some)}
-#_textall_ {_If_(_cgiargb_,boolean,all)}
-#_textformsome_ {_If_(_cgiargb_,ranked,some)}
-#_textformall_ {_If_(_cgiargb_,natural,all)}
+_textsortbyrank_ [l=es] {rango de relevancia}  # Updated 5-Oct-2007 by tramullas
 _texticonsearchhistorybar_ [l=es] {historial de bÃºsquedas}
 
@@ -359,6 +369,6 @@
 
 #these go together in form search:
-#"Word or phrase  (fold, stem)  ... in field"
-_textwordphrase_ [l=es] {Palabra o frase}  # Updated 28-Jan-2006
+#"Words  (fold, stem)  ... in field"
+_textwordphrase_ [l=es] {Palabras}  # Updated 5-Oct-2007 by tramullas
 _textinfield_ [l=es] {... en el campo}  # Updated 28-Jan-2006
 _textfoldstem_ [l=es] {(mayÃºsculas y minÃºsculas, terminaciones de palabras)}  # Updated 28-Jan-2006
@@ -376,6 +386,6 @@
 # unset
 
-_textsimplesearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) que contengan _querytypeselection_ de las palabras
-}  # Updated 28-Jan-2006
+_textsimplesearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) que contengan _querytypeselection_ de las palabras _If_(_sfselection_,\,_allowformbreak_ ordenando los resultados por _sfselection_)
+}  # Updated 5-Oct-2007 by tramullas
 
 _textadvancedsearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_, de _jselection_) _If_(_gselection_, at _gselection_ level) _If_(_nselection_, en idioma _nselection_) utilizando la consulta _querytypeselection_}
@@ -383,14 +393,12 @@
 _textadvancedmgppsearch_ [l=es] {Search _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,at _gselection_ level )_If_(_nselection_,in _nselection_ language ) y muestra los resulados in _formquerytypeadvancedselection_ order}  # Updated 31-Jul-2006
 
-_textadvancedlucenesearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,a _gselection_ level )_If_(_nselection_,in _nselection_ language ) para}  # Updated 16-Aug-2006
+_textadvancedlucenesearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,a _gselection_ level )_If_(_nselection_,in _nselection_ language )_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,) para}  # Updated 5-Oct-2007 by tramullas
 
 _textformsimplesearch_ [l=es] {Buscar _If_(_jselection_, _jselection_) _If_(_gformselection_, at _gformselection_
-level) _If_(_nselection_, in _nselection_ language) que contengan
-_formquerytypesimpleection_ de}  # Updated 16-Aug-2006
-
-_textformadvancedsearch_ [l=es] {Buscar _If_(_jselection_,_jselection_) _If_(_gformselection_,
-a _gformselection_ level)_If_(_nselection_, en _nselection_ language) y
- presentar los resultados por orden _formquerytypeadvancedselection_ }  # Updated 16-Aug-2006
-
+level) _If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\ ordenando los resultados por _sfselection_\,) for _formquerytypesimpleselection_ of}  # Updated 5-Oct-2007 by tramullas
+
+_textformadvancedsearchmgpp_ [l=es] {Buscar _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language )y mostrar resultados en _formquerytypeadvancedselection_ order }  # Updated 5-Oct-2007 by tramullas
+
+_textformadvancedsearchlucene_ [l=es] {Buscar If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ level)_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, ordenando resultados by _sfselection_\,) por}  # Updated 5-Oct-2007 by tramullas
 
 _textnojsformwarning_ [l=es] {Advertencia: Javascript no estÃ¡ habilitado en su navegador. <br>Para usar la bÃºsqueda de formas, por favor habilÃ­telo.}
@@ -449,9 +457,13 @@
 _textpreferences_ [l=es] {Preferencias}
 _textcasediffs_ [l=es] {Reconocimiento de mayÃºsculas y minÃºsculas:}
-_textignorecase_ [l=es] {ignorar diferencias entre mayÃºsculas y minÃºsculas}
-_textmatchcase_ [l=es] {deben corresponder mayÃºsculas y minÃºsculas}
+_textignorecase_ [l=es] {ignorar diferencias entre mayÃºsculas y minÃºsculas}  # Updated 5-Oct-2007 by tramullas
+_textmatchcase_ [l=es] {deben corresponder mayÃºsculas y minÃºsculas}  # Updated 5-Oct-2007 by tramullas
 _textwordends_ [l=es] {Terminaciones de las palabras:}  # Updated 28-Jan-2006
-_textstem_ [l=es] {ignorar las terminaciones de las palabras}
-_textnostem_ [l=es] {debe corresponder la palabra completa}
+_textstem_ [l=es] {ignorar las terminaciones de las palabras}  # Updated 5-Oct-2007 by tramullas
+_textnostem_ [l=es] {debe coincidir la palabra completa}  # Updated 5-Oct-2007 by tramullas
+_textaccentdiffs_ [l=es] {Diferencias de acentos;}  # Updated 5-Oct-2007 by tramullas
+_textignoreaccents_ [l=es] {ignorar acentos}  # Updated 5-Oct-2007 by tramullas
+_textmatchaccents_ [l=es] {las tildes deben coincidir}  # Updated 5-Oct-2007 by tramullas
+
 _textprefop_ [l=es] {Presentar hasta _maxdocoption_ resultados con _hitsperpageoption_ resultados por pÃ¡gina.}
 _textextlink_ [l=es] {Acceder a pÃ¡ginas Web externas: }
@@ -462,6 +474,6 @@
 _textall_ [l=es] {todos}
 _textquerymode_ [l=es] {Modo de bÃºsqueda:}  # Updated 28-Jan-2006
-_textsimplemode_ [l=es] {bÃºsqueda simple}
-_textadvancedmode_ [l=es] {bÃºsqueda avanzada (permite efectuar bÃºsquedas booleanas utilizando los caracteres !, &amp;, | y los parÃ©ntesis)}
+_textsimplemode_ [l=es] {modo de bÃºsqueda simple}  # Updated 5-Oct-2007 by tramullas
+_textadvancedmode_ [l=es] {bÃºsqueda avanzada (permite efectuar bÃºsquedas booleanas utilizando los caracteres !, &, | y los parÃ©ntesis)}  # Updated 5-Oct-2007 by tramullas
 _textlinkinterm_ [l=es] {a travÃ©s de una pÃ¡gina intermedia}
 _textlinkdirect_ [l=es] {ir directamente ahÃ­}
@@ -474,24 +486,15 @@
 <br>}
 
+_textsearchtype_ [l=es] {Estilo de bÃºsqueda:}  # Updated 5-Oct-2007 by tramullas
+_textformsearchtype_ [l=es] {con campos _formnumfieldoption_ fields}  # Updated 5-Oct-2007 by tramullas
+_textplainsearchtype_ [l=es] {normal con caja _boxsizeoption_ query}  # Updated 5-Oct-2007 by tramullas
+_textregularbox_ [l=es] {lÃ­nea simple}  # Updated 5-Oct-2007 by tramullas
+_textlargebox_ [l=es] {amplio}  # Updated 5-Oct-2007 by tramullas
+
 _textrelateddocdisplay_ [l=es] {mostrar documentos conexos }
 _textsearchhistory_ [l=es] {Historial de bÃºsquedas:}  # Updated 28-Jan-2006
-_textnohistory_ [l=es] {No hay historial de bÃºsquedas}  # Updated 28-Jan-2006
-_texthistorydisplay_ [l=es] {mostrar _historynumrecords_ historial de las Ãºltimas bÃºsquedas}
-_textnohistorydisplay_ [l=es] {no mostrar el historial de bÃºsquedas }  # Updated 28-Jan-2006
-
-#_texttypesearch_ {Type of search:}
-#_texttextsearch_ {text search}
-_textformsearch_ [l=es] {BÃºsqueda de formas:}
-_textplainsearch_ [l=es] {BÃºsqueda sencilla de sÃ³lo texto:}
-_textqueryboxsize_ [l=es] {TamaÃ±o del cuadro de bÃºsqueda:}
-_textregbox_ [l=es] {cuadro de bÃºsqueda normal}  # Updated 28-Jan-2006
-_textbigbox_ [l=es] {cuadro de bÃºsqueda grande}  # Updated 28-Jan-2006
-_textformtype_ [l=es] {Tipo de formulario:}
-_textsimple_ [l=es] {simple}  # Updated 28-Jan-2006
-_textadvanced_ [l=es] {avanzado}
-
-# used in "with 4 fields" in the form search box
-_textwith_ [l=es] {con}  # Updated 28-Jan-2006
-_textfields_ [l=es] {campos}  # Updated 28-Jan-2006
+_textnohistory_ [l=es] {No hay historial de bÃºsquedas}  # Updated 5-Oct-2007 by tramullas
+_texthistorydisplay_ [l=es] {mostrar _historynumrecords_ registros del histÃ³rico de bÃºsquedas}  # Updated 5-Oct-2007 by tramullas
+_textnohistorydisplay_ [l=es] {no mostrar el historial de bÃºsquedas }  # Updated 5-Oct-2007 by tramullas
 
 
@@ -534,10 +537,10 @@
 _textdefaulthelp_ [l=es] {mostrar documentos por _1_ pulsando el botÃ³n _2_}  # Updated 14-Aug-2006
 
-_textSearchhelp_ [l=es] {buscar por palabras determinadas que aparecen en el texto clicando el botÃ³n _labelSearch_}  # Updated 31-Jul-2006
+_textSearchhelp_ [l=es] {buscar por palabras determinadas que aparecen en el texto pulsando el botÃ³n _labelSearch_}  # Updated 8-Oct-2007 by tramullas
 _textTohelp_ [l=es] {mostrar documentos por el campo To pulsando el botÃ³n _labelTo_}  # Updated 14-Aug-2006
 _textFromhelp_ [l=es] {mostrar publicaciones por el campo From pulsando el botÃ³n _labelFrom_}  # Updated 14-Aug-2006
 _textBrowsehelp_ [l=es] {manejar documentos}  # Updated 31-Jul-2006
-_textAcronymhelp_ [l=es] {navegar por documentos por la ocurrencia de un acrÃ³nimo clicando en el botÃ³n _labelAcronym_}  # Updated 31-Jul-2006
-_textPhrasehelp_ [l=es] {buscar frases contenidas en los documentos clicando el botÃ³n _labelPhrase_. Utiliza el buscador de frases.}  # Updated 31-Jul-2006
+_textAcronymhelp_ [l=es] {navegar por documentos por la ocurrencia de un acrÃ³nimo pulsando en el botÃ³n _labelAcronym_}  # Updated 8-Oct-2007 by tramullas
+_textPhrasehelp_ [l=es] {buscar frases contenidas en los documentos pulsando el botÃ³n _labelPhrase_. Utiliza el buscador de frases.}  # Updated 8-Oct-2007 by tramullas
 
 _texthelptopicstitle_ [l=es] {Temas}
@@ -591,7 +594,7 @@
 
 _texthelpquerytermstitle_ [l=es] {TÃ©rminos de la bÃºsqueda}
-_texthelpqueryterms_ [l=es] {<p>Lo que se teclea en el cuadro de consulta se interpreta como una
+_texthelpqueryterms_ [l=es] {<p>Lo que se escribe en el cuadro de consulta se interpreta como una
 lista de palabras llamadas "tÃ©rminos de la bÃºsqueda". Cada tÃ©rmino debe
-contener solamente letras y dÃ­gitos. Los tÃ©rminos se separan por un
+contener solamente letras y dÃ­gitos, o una frase consistente en una secuencia de palabras entrecomilladas ("..."). Los tÃ©rminos se separan por un
 espacio en blanco. Si aparecen otros caracteres, como los de puntuaciÃ³n,
 se interpretan como espacios para separar los tÃ©rminos y la bÃºsqueda no
@@ -608,5 +611,5 @@
 <ul><kbd>Agro forestry in the Pacific Islands Systems for Sustainability
 1993</kbd></ul><p>
-}
+}  # Updated 5-Oct-2007 by tramullas
 
 _texthelpmgppsearching_ [l=es] {Para colecciones construÃ­das con MGPP estÃ¡n disponibles algunas oopciones mÃ¡s.
@@ -632,6 +635,5 @@
 <ul>
 
-<li>BÃºsqueda de <b>todas</b> las palabras. Se buscan los documentos (o capÃ­tulos o tÃ­tulos) que
-contienen todas las palabras especificadas. Los documentos que responden
+<li>BÃºsqueda de <b>todas</b> las palabras. Se buscan los documentos (o capÃ­tulos o tÃ­tulos) que contienen todas las palabras especificadas. Los documentos que responden
 a la consulta se presentan por orden de construcciÃ³n.
 
@@ -661,9 +663,9 @@
 tÃ©rmino, los documentos se ordenarÃ¡n por frecuencia de apariciÃ³n del
 tÃ©rmino buscado.
-}  # Updated 14-Aug-2006
-
-_texthelpadvancedsearchtitle_ [l=es] {BÃºsqueda avanzada}  # Updated 14-Aug-2006
-
-_texthelpadvancedsearch_ [l=es] {<p>Si ha seleccionado el tipo de bÃºsqueda avanzada (en Preferencias) puede tener opciones de bÃºsqueda ligeramente diferentes. _selectadvancedsearch_}  # Updated 14-Aug-2006
+}  # Updated 5-Oct-2007 by tramullas
+
+_texthelpadvancedsearchtitle_ [l=es] {BÃºsqueda avanzada usando el motor _1_ search}  # Updated 5-Oct-2007 by tramullas
+
+_texthelpadvancedsearch_ [l=es] {<p>Si ha seleccionado el tipo de bÃºsqueda avanzada (en Preferencias) puede tener opciones de bÃºsqueda ligeramente diferentes. _selectadvancedsearch_}  # Updated 5-Oct-2007 by tramullas
 
 _texthelpadvsearchmg_ [l=es] {Las bÃºsquedas avanzadas en colecciones MG ofrecen dos opciones, ordenadas o booleanas. Una bÃºsqueda <b>ordenada</b> es exactamente los mismo que <b>algunas</b> bÃºsquedas descritas en <a href="\#query-type">_texthelpquerytypetitle_</a>.
@@ -676,14 +678,23 @@
 <p>
 Se pueden especificar bÃºsquedas mÃ¡s precisas usando combinaciones de operadores y parÃ©ntesis. Por ejemplo, <b>(oveja | ganado) & (granja | estaciÃ³n)</b>, o <b>oveja | ganado | cabra !cerdo</b>.
-}  # Updated 14-Aug-2006
-
-_texthelpadvsearchmgpp_ [l=es] {las bÃºsquedas avanzadas en colecciones MGPP usan operadores booleanos. _texthelpbooleansearch_
+}  # Updated 5-Oct-2007 by tramullas
+
+_texthelpadvsearchmgpp_ [l=es] {Las bÃºsquedas avanzadas en colecciones MGPP usan operadores booleanos. _texthelpbooleansearch_
 <p> Los resultados pueden mostrarse en orden <b>de ranking </b>, o descritos por <b>alguna</b> bÃºsqueda en <a href="\#query-type">_texthelpquerytypetitle_</a>, o en el orden "construido". Ãste es el orden en que los documentos fueron procesados durante la creaciÃ³n de la colecciÃ³n.
 <p>
 Algunos operadores incluyen <b>NEARx</b> and <b>WITHINx</b>.
 NEARx se usa para especificar la mÃ¡xima distancia entre (x palabras) dos tÃ©rminos de bÃºsqueda que deben estar en el documento a  mostrar.
-WITHINx especifica que el segundo tÃ©rmino debe encontrarse dentro de x palabras <i>despuÃ©s<i> del primer tÃ©rmino. Es similar a NEAR pero el orden es importante. La distancia predeterminada es 20.}  # Updated 31-Jul-2006
+WITHINx especifica que el segundo tÃ©rmino debe encontrarse dentro de x palabras <i>despuÃ©s<i> del primer tÃ©rmino. Es similar a NEAR pero el orden es importante. La distancia predefinida es 20.}  # Updated 5-Oct-2007 by tramullas
+
+_texthelpadvancedsearchextra_ [l=es] {NOTA: estos operadores se ignorarÃ¡n se se busca en modo de bÃºsqueda simple}  # Updated 5-Oct-2007 by tramullas
 
 _texthelpadvsearchlucene_ [l=es] {Las bÃºsquedas avanzadas en colecciones con Lucene usan operadores booleanos. _texthelpbooleansearch_}  # Updated 14-Aug-2006
+
+_texthelpformsearchtitle_ [l=es] {BÃºsqueda con campos}  # Updated 5-Oct-2007 by tramullas
+
+_texthelpformsearch_ [l=es] {<p>La bÃºsqueda por campos ofrece la posibilidad de combinar bÃºsquedas en varios campos. Por ejemplo, uno puede buscar "Smith" en TÃ­tulo Y "snail farming" en Tema. En modo de bÃºsqeuda simple, cada lÃ­nea del formulario se comporta como una lÃ­nea normal de bÃºsqueda. las lÃ­neas individuales del formulario se combinan usando Y (para una bÃºsqueda de "todo"), u O (para una bÃºsqeuda de "algo"). Los tÃ©rminos dentro de los campos se combinan de la misma forma. En el modo avanzado, puede especificar diferentes combinaciones de Y/O/NO entre los campos, usando las listas desplegables, y dentro de un campo puede usar operadores booleanos.}  # Updated 5-Oct-2007 by tramullas
+
+_texthelpformstemming_ [l=es] {Los cuadros "may./min." y "truncamiento" le permiten indicar si los tÃ©rminos dentro de ese campo deben estar en mayÃºsculas/minÃºsculas o truncados. Ambos estÃ¡n dasactivados previamente en el formuario de bÃºsqueda avanzada.}  # Updated 5-Oct-2007 by tramullas
+
 _textdatesearch_ [l=es] {Buscar con fechas}  # Updated 28-Jan-2006
 
@@ -724,23 +735,20 @@
 _texthelpcollectionprefstitle_ [l=es] {Preferencias de colecciÃ³n}
 _texthelpcollectionprefs_ [l=es] {<p>
-Algunas colecciones se componen de varias subcolecciones, en las cuales
-se pueden efectuar operaciones de bÃºsqueda de forma individual o en su
-conjunto, como un todo. Si lo desea, puede usted seleccionar en la
-pÃ¡gina de <i>preferencias</i> quÃ© subcolecciones incluir en sus
+Algunas colecciones se componen de varias subcolecciones, en las que se pueden buscar independientemente, o en su conjunto, como un todo. Si lo desea, puede usted seleccionar en la pÃ¡gina de <i>Preferencias</i> quÃ© subcolecciones incluir en sus
 bÃºsquedas.
-}
+}  # Updated 5-Oct-2007 by tramullas
 
 _texthelplanguageprefstitle_ [l=es] {Preferencias de lengua}
-_texthelplanguageprefs_ [l=es] {<p>Cada colecciÃ³n tiene una lengua de presentaciÃ³n por defecto, pero si
+_texthelplanguageprefs_ [l=es] {<p>Cada colecciÃ³n tiene una lengua de presentaciÃ³n predefinido, pero si
 lo desea puede usted cambiar de idioma. Puede usted modificar tambiÃ©n el
-sistema de codificaciÃ³n que utiliza su navegador: el programa Greenstone
+sistema de codificaciÃ³n que utiliza Greentone para los navegadores: el software
 suele escoger los parÃ¡metros por defecto, pero con algunos navegadores
 se pueden conseguir mejores resultados grÃ¡ficos cambiando de sistema de
-codificaciÃ³n. En todas las colecciones se puede escoger entre una
+codificaciÃ³n. En todas las colecciones se puede cambiar entre una
 interfaz grÃ¡fica normalizada y una interfaz textual. Ãsta resulta
 particularmente Ãºtil para los usuarios con problemas de vista que
 utilizan tipos de letra grandes o para la salida a sintetizadores
 de voz.
-}
+}  # Updated 5-Oct-2007 by tramullas
 
 _texthelppresentationprefstitle_ [l=es] {Preferencias de presentaciÃ³n}
@@ -764,29 +772,29 @@
 
 _texthelpsearchprefstitle_ [l=es] {Preferencias de bÃºsqueda}
-_texthelpsearchprefs_ [l=es] {<p>Puede cambiar al modo de bÃºsqeuda avanzado, que le permite combinar tÃ©rminos usando & (por "Y"), | (por "O"), y ! (por "NO"), y parÃ©ntesis para agurparlos si lo desea. Esto permite formular consultas mÃ¡s especÃ­ficas.
-
-<p>Es posible disponer de un recuadro de bÃºsqueda mÃ¡s amplio, por lo que puede hacer fÃ¡cilmente bÃºsqueda de pÃ¡rrafos. Es muy rÃ¡pido para buscar largas cantidades de texto.
-
-<p>Dos pares de botones controlan el tipo de coincidencia de los tÃ©rminso en las bÃºsquedas. El primer par (etiquetado como "mayÃºsculas/minÃºsculas") controla la coincidencia de las mismas. El segundo ("terminaciones de palabra") controla cuando ignorar o no las terminaciones de las mismas.
-
-<p>Por ejemplo, si se activan los botones <i>ignorar diferencias entre
-mayÃºsculas y minÃºsculas</i> e <i>ignorar terminaciones de palabras</i>,
-la bÃºsqueda:
-
-<p><ul><kbd>African building</kbd></ul>
-
-<p>se tratarÃ¡ del mismo modo que:
-
-<p><ul><kbd>africa builds</kbd></ul>
-
-<p>porque la letra mayÃºscula de "African" se transformarÃ¡ en minÃºscula y
-los sufijos "n" e "ing" se eliminaran de "African" y "building",
-respectivamente (se suprimirÃ¡ tambiÃ©n la "s" de "builds").
-
-<p>Puede activar la caracterÃ­stica de historia, que le mostrarÃ¡ las cinco Ãºltimas bÃºsquedas. Esto hace mÃ¡s sencillo ejecutar versiones modificadas de bÃºsquedas previas.
-
+_texthelpsearchprefs_ [l=es] {<p>Puede cambiar al modo de bÃºsqueda avanzado, que le permite combinar tÃ©rminos usando & (por "Y"), | (por "O"), y ! (por "NO"), y parÃ©ntesis para agurparlos si lo desea. Esto permite formular consultas mÃ¡s especÃ­ficas.
+<p>_selectsearchtypeprefs_
+<p>_selectwordmodificationprefs_
+<p>Puede activar la caracterÃ­stica de histÃ³rico de bÃºsqueda, que le mostrarÃ¡ las Ãºltimas bÃºsquedas. Esto hace mÃ¡s sencillo ejecutar versiones modificadas de bÃºsquedas previas.
 <p>Por Ãºltimo, se puede controlar el nÃºmero respuestas obtenidas y el nÃºmero de las mismas que se muestra en cada pantalla.
 
-}  # Updated 14-Aug-2006
+}  # Updated 5-Oct-2007 by tramullas
+
+_textcasefoldprefs_ [l=es] {Un par de botnoes controlan la conincidencia con mayÃºsculas y minÃºsculas cuando se busca. Por ejemplo, si se selecciona "_preferences:textignorecase_", <i>snail farming</i> se tratarÃ¡ igual que<i>Snail Farming</i> y que <i>SNAIL FARMING</i>.}  # Updated 5-Oct-2007 by tramullas
+_textstemprefs_ [l=es] {Un par de botones que controlan si se ignora o no la terminaciÃ³n de los tÃ©rminos cuando se busca. Por ejemplo, si se selecciona "_preferences:textstem_" <i>snail farming</i> se tratarÃ¡ igual que <i>snails farm</i> y que <i>snail farmer</i>. Actualmente sÃ³lo funciona correctamente para textos ingleses. _selectstemoptionsprefs}  # Updated 5-Oct-2007 by tramullas
+_textaccentfoldprefs_ [l=es] {Un par de botones controlan que coincidan las letras con tilde o sin tilde durante la bÃºsqueda. Por ejemplo, si se selecciona <i>fÃ©dÃ©ration</i> se tratarÃ¡ igual que <i>fedÃ©ration</i> y que <i>federation</i>.}  # Updated 5-Oct-2007 by tramullas
+ 
+_textstemoptionsprefs_ [l=es] {Puede ser conveniente y preciso usar la posibilidad de truncar tÃ©rminos descrita en "_texthelpquerytermstitle_".}  # Updated 5-Oct-2007 by tramullas
+
+_textsearchtypeprefsplain_ [l=es] {Es posible disponer de un campo de interrogaciÃ³n mÃ¡s amplio, para poder formular fÃ¡cilmente bÃºsqueda de pÃ¡rrafos. Es sorprendentemente rÃ¡pido buscar grandes cantidades de texto.}  # Updated 5-Oct-2007 by tramullas
+
+_textsearchtypeprefsform_ [l=es] {Puede cambiar el nÃºmero de campos montrados en el formulario de bÃºsqueda.}  # Updated 5-Oct-2007 by tramullas
+
+_textsearchtypeprefsboth_ [l=es] {Puede cambiar el modo de bÃºsqueda de la colecciÃ³n entre "normal" y "por campos".
+<ul>
+<li>Normal ofrece una caja de bÃºsqueda simple. _textsearchtypeprefsplain_</li>
+<li>Por campos ofrece cierto nÃºmero de cajas de bÃºsqueda, cada una de las cuales busca sobre un campo diferente del Ã­ndice. Esto permite buscar en diferentes campos al mismo tiempo. _textsearchtypeprefsform_ </li>
+</ul>}  # Updated 5-Oct-2007 by tramullas
+
+
 
 _texttanumbrowseoptions_ [l=es] {Existen _numbrowseoptions_ manera(s) de encontrar informaciÃ³n en esta colecciÃ³n:}
@@ -801,6 +809,5 @@
 el Ã­ndice utilizado.
 
-<p>Si los documentos son libros, Ã©stos aparecerÃ¡n en el lugar
-predefinido.
-
-}
+<p>Si los documentos son libros, Ã©stos se abrirÃ¡n en la posiciÃ³n adecuada.
+
+}  # Updated 5-Oct-2007 by tramullas