Index: greenstone3/branches/customizingGreenstone3/web/sites/localsite/metadata.xml
===================================================================
--- greenstone3/branches/customizingGreenstone3/web/sites/localsite/metadata.xml	(revision 14709)
+++ greenstone3/branches/customizingGreenstone3/web/sites/localsite/metadata.xml	(revision 14709)
@@ -0,0 +1,16 @@
+<metadataList xmlns:gsf="http://www.greenstone.org/greenstone3/schema/MetadataFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+  <metadataItem name="siteName" lang="en">Dave's Development Site</metadataItem>
+  <metadataItem name="siteName" lang="fr">J'ai mis parle le franÃ§ais</metadataItem> 
+
+  <metadataItem name="siteDescription" lang="en"> 
+	This is just a random site for testing stuff
+  </metadataItem>
+
+  <metadataItem name="siteDescription" lang="fr"> 
+	De nouveau, j'ai mis parle le franÃ§ais
+  </metadataItem>
+
+  <metadataItem name="siteAdmin"> dnk2@cs.waikato.ac.nz </metadataItem>
+
+</metadataList>
Index: greenstone3/branches/customizingGreenstone3/web/sites/localsite/ui/ui.xml
===================================================================
--- greenstone3/branches/customizingGreenstone3/web/sites/localsite/ui/ui.xml	(revision 14709)
+++ greenstone3/branches/customizingGreenstone3/web/sites/localsite/ui/ui.xml	(revision 14709)
@@ -0,0 +1,69 @@
+<ui>
+
+  <skin name="oran" />
+
+  <uiItemList>
+  
+  	<uiItem name="siteHeader">
+  		<metadataItem name="siteName" />
+  	</uiItem>
+  	
+  	<uiItem name="siteFooter" lang="en">
+  		Powered by Greenstone
+  	</uiItem>
+  	
+  	<uiItem name="siteFooter" lang="fr">
+		  A alimentÃ© par Greenstone
+    </uiItem>
+       
+    <uiItem name="siteAbout" lang="en">
+    	<h1> About this site </h1>
+		  <p> <metadataItem name="siteDescription" /> </p>
+		  <p> I wish I had a lorem ipsum thingie right now... ah well, wikipedias entry on lorum ipsum will do the trick.</p>
+		  <h1> Lorem Ipsum </h1>
+		  <p>
+			  In publishing and graphic design, lorem ipsum is standard placeholder text used to demonstrate the graphic
+			  elements of a document or visual presentation, such as font, typography, and layout. Lorem ipsum also serves 
+			  as placeholder text in mock-ups of visual design projects before the actual words are inserted into the finished
+			  product. When used in this manner, it is often called greeking.
+		  </p>
+		  <p>
+				Even though using "lorem ipsum" often arouses curiosity due to its resemblance to classical Latin, it is not 
+				intended to have meaning. Where text is visible in a document, people tend to focus on the textual content 
+				rather than upon overall presentation, so publishers use lorem ipsum when displaying a typeface or design in 
+				order to direct the focus to presentation. "Lorem ipsum" also approximates a typical distribution of letters 
+				in English, which helps to shift the focus to presentation.
+		  </p>
+		  <p>
+				The most common lorem ipsum text reads as follows:
+		  </p>
+		  <p><em>
+				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore 
+				magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo 
+				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. 
+				Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. 
+			</em></p>
+    </uiItem>
+    
+    <uiItem name="siteAbout" >
+    	<p> <metadataItem name="siteDescription" /> </p>
+    </uiItem>
+  
+    <uiItem name="collectionHeader">
+    	<metadataItem name="siteName" />/<metadataItem name="collectionName"/>
+    </uiItem>
+
+    <uiItem name="collectionFooter">
+			Powered by Greenstone.
+    </uiItem>
+    
+    <uiItem name="collectionAbout">
+    	<h1> About this collection </h1>
+    	<p><metadataItem name="collectionDescription" /></p>
+    </uiItem>
+    
+  </uiItemList>
+
+  <serviceFormatList />
+
+</ui>